Page MenuHomePhabricator

Explain how the 'IP contribs' filter works (so we can fix it)
Closed, ResolvedPublic

Description

Elena just pointed out that there are a couple of filters hiding in the row of page links at the top of the Recent Changes page. We may need to address one of these, "IP contribs," since it seems to duplicate the Unregistered filter. But I want to be sure we understand exactly what this function is doing before we decide how to move it into the new eorld.

I THINK what this filter does is that it gives you a one-click way to, in effect, Show Unregistered, Hide Registered and Hide bots. When you do that, you get similar results, though the URLs are different, as follows:

Normal filter settings (hide registered, show unregistered, hide bots)
https://en.wikipedia.org/w/index.php?namespace=&tagfilter=&hideliu=1&title=Special%3ARecentChanges

"IP contribs"
https://en.wikipedia.org/w/index.php?title=Special:RecentChanges&hideliu=1&hideanons=0

So, in effect, IP contribs seems to work like our new Unregistered filter. Is that right?

If so, should we delete this option from the list on the beta interface, so that we don't have duplicate functions on the page? Do we need to do anything else with it?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 28 2016, 8:12 PM

Where do you see this "IP contribs" link? I don't see it. Does it perhaps come from a Gadget or something? Do you see it if you open RecentChanges in an incognito window?

Does it perhaps come from a Gadget or something?

It's in the Utilities row, as in the screenshot above. No, I don't think it's a gadget (I think I've turned off all my prefs for this page).

Oh, I see it. That looks like an enwiki-specific customization. You're right that it duplicates functionality that's already present on the page, which is perhaps an indication of how bad the current UI is.

We can't unilaterally delete it because it's a site customization put in by enwiki's admins, all we can do is suggest that they might want to remove it and point out that it's duplicative.

As for what this link actually does, it's "hide logged-in users, do not hide anonymous users, use defaults for all other filters" (where "defaults" includes the user's preferences for filters where that's relevant). It will keep working in the new world without us needing to do anything special, because we're going to keep the URLs compatible.

I've explained that here T151801#2830556 too.

We can't unilaterally delete it because it's a site customization put in by enwiki's admins, all we can do is suggest that they might want to remove it and point out that it's duplicative.

That may be the place where they can put some default new filters :)

I've explained that here T151801#2830556 too.

We can't unilaterally delete it because it's a site customization put in by enwiki's admins, all we can do is suggest that they might want to remove it and point out that it's duplicative.

That may be the place where they can put some default new filters :)

Yeah, we can add things there instead of / as well as removing them, but again that would be a one-off only for enwiki.

Trizek-WMF added a comment.EditedNov 29 2016, 7:37 PM

Yeah, we can add things there instead of / as well as removing them, but again that would be a one-off only for enwiki.

What do you mean by on-off? Removing for good to have something else instead? Or are you pointing out that's only for en.wp (which is not the case)?

Communities seem to add links to the top of the Recent Changes page to facilitate the access to filters they expect to be useful for most users. As part of the exploration on T151994, I included this scenario since it seems relevant.

Although each community may add a different set of filters, providing a general solution to do so can help all communities.
It would be good to know: (a) how are those filters added currently and (b) how much this is due to the lack f mechanisms for individual users to keep the filters that are specifically relevant to them.

It would be good to know: (a) how are those filters added currently

They're added to https://en.wikipedia.org/wiki/MediaWiki:Recentchangestext by local admins.

and (b) how much this is due to the lack f mechanisms for individual users to keep the filters that are specifically relevant to them.

Filters are already bookmarkable (though this may not be obvious). I have a feeling that a set of common/recommended filters is something that communities are going to continue to want.

It would be good to know: (a) how are those filters added currently

They're added to https://en.wikipedia.org/wiki/MediaWiki:Recentchangestext by local admins.

and (b) how much this is due to the lack f mechanisms for individual users to keep the filters that are specifically relevant to them.

Filters are already bookmarkable (though this may not be obvious). I have a feeling that a set of common/recommended filters is something that communities are going to continue to want.

I've asked a bunch of users on IRC:

  • most of them didn't knew about those shortcuts
  • they think they are useful "but I would have set the XXX shortcut instead"

Thanks for the input @Catrope and @Trizek-WMF. I captured both wiki-specific and user-specific filters in T151994 as separate scenarios and I think both make sense. I think the area to explore is how much to connect them (are they provided through separate UI areas? are they integrated into a single list that starts with the wiki ones but users can customise? Something in-between?).

Thank @Catrope for the explanation:

As for what this link actually does, it's "hide logged-in users, do not hide anonymous users, use defaults for all other filters" (where "defaults" includes the user's preferences for filters where that's relevant).

(1) It's good to know that community admins have flexibility to add new, customized filters to MediaWiki:Recentchangestext

(2) How those filters when selected will be represented on the new RC page? Clicking on 'Utilities- IPs' contribs' will override previously selected filters and get to display the filters (hideliu=1&hideanons=0 and everything else is user preferences) accordingly in the RC filters selection box?

(3) Or clicking on option 'Utilities- IPs' contribs' will just add those filters to the filters already selected by users?

(4) Much more minor question - on enwiki in Utilities there is one option matching the name of new RC filters - 'New pages' which directs a user to Special:NewPagesFeed. But given that MediaWiki:Recentchangestext is a mix of filters and links to pages, it's extremely confusing to users to figure out which one is which. Should it be a different label for the filter?
Another case: the options on enwiki under 'Recent changes for: Featured articles – Good articles – Living people – Vital articles' , e.g. Special:RecentChangesLinked&namespace=0&target=Wikipedia%3AVital+articles - are linked pages to RecentChanges but essentially they act as filters from the user point of view. No concerns?

Good points, @Etonkovidova. I think that the links at the top of the page that point to specific views of Recent Changes should remain to do so. That is, showing those filters (2), not adding them to the current set (3).

Regarding (4), "new pages" is a general concept and I think it is ok for it to be presented as a filter (on recent changes or our watch list) as well as having a dedicated list of results or tool to track them. For the links that act as shortcuts for a set of filters as well as the "RecentChangesLinked" which just represent variants of Recent changes, I think we may want to find ways to better integrate them into the filtering system. T151994 can help with that.

jmatazzoni closed this task as Resolved.Dec 13 2016, 7:54 PM